maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Osipov (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (MPOM-9) Apache Parent POM 9 does not allow override of <useAgent> in apache-release profile
Date Sun, 06 Sep 2015 20:44:55 GMT

     [ https://issues.apache.org/jira/browse/MPOM-9?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Michael Osipov closed MPOM-9.
-----------------------------
    Resolution: Auto Closed

This issue has been auto closed because it has been inactive for a long period of time. If
you think this issue still applies, retest your problem with the most recent version of Maven
and the affected component, reopen and post your results.

> Apache Parent POM 9 does not allow override of <useAgent> in apache-release profile
> -----------------------------------------------------------------------------------
>
>                 Key: MPOM-9
>                 URL: https://issues.apache.org/jira/browse/MPOM-9
>             Project: Maven POMs
>          Issue Type: Bug
>          Components: asf
>    Affects Versions: ASF-9
>            Reporter: Sebb
>            Assignee: Olivier Lamy (*$^¨%`£)
>            Priority: Critical
>
> The apache-release profile contains the following settings:
>             <groupId>org.apache.maven.plugins</groupId>
>             <artifactId>maven-gpg-plugin</artifactId>
>             <configuration>
>               <passphrase>${gpg.passphrase}</passphrase>
>               <useAgent>true</useAgent>
>             </configuration>
> This is bad, because it unconditionally forces the use of an agent which may not be appropriate
for all use cases.
> The code should use the relevant property, i.e.
>   <properties>
>     <gpg.useagent>true</gpg.useagent>
>     ...
>   </properties>
> ...
>             <groupId>org.apache.maven.plugins</groupId>
>             <artifactId>maven-gpg-plugin</artifactId>
>             <configuration>
>               <passphrase>${gpg.passphrase}</passphrase>
>               <useAgent>${gpg.useagent}</useAgent>
>             </configuration>
> This would still default to true, but would allow command-line override.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message